## org.jfree.report
Class EmptyReportData

    java.lang.Object
      org.jfree.report.EmptyReportData

All Implemented Interfaces:
  DataSet, ReportData

    public class EmptyReportData

extends java.lang.Object
implements ReportData

Creation-Date: 22.04.2006, 14:25:04

Author:
  Thomas Morgner

Field Summary

Fields inherited from interface org.jfree.report.ReportData
`BEFORE_FIRST_ROW`

Constructor Summary
`EmptyReportData()`

Method Summary
`void` `close()` Closes the datasource.
`java.lang.Object` `get(int column)`
`int` `getColumnCount()`
`java.lang.String` `getColumnName(int column)`
`int` `getCursorPosition()`
`boolean` `isAdvanceable()` This operation checks, whether a call to next will be likely to succeed.
`boolean` `isReadable()` Checks, whether this report-data instance is currently readable.
`boolean` `next()` This method produces the same result as 'setCursorPosition(getCursorPosition() + 1);'
`boolean` `setCursorPosition(int cursor)` Moves the cursor back to an already visited position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyReportData

    public EmptyReportData()

Method Detail

### getCursorPosition

    public int getCursorPosition()
                          throws DataSourceException

  Specified by:
    `getCursorPosition` in interface `ReportData`
  Throws:
    `DataSourceException`

### isReadable

    public boolean isReadable()
                       throws DataSourceException

  Description copied from interface: `ReportData`
  Checks, whether this report-data instance is currently readable. A report-data instance cannot be readable if it is positioned before the first row. (The look-ahead system of 'isAdvanceable()' will prevent that the datasource is positioned behind the last row.)

  Specified by:
    `isReadable` in interface `ReportData`
  Returns:
    true, if the datarow is valid, false otherwise.
  Throws:
    `DataSourceException`

### setCursorPosition

    public boolean setCursorPosition(int cursor)
                              throws DataSourceException

  Description copied from interface: `ReportData`
  Moves the cursor back to an already visited position. Calling this method for an row number that has not yet been read using 'next' is undefined, whether that call succeeds is implementation dependent. Calls to position zero (aka BEFORE_FIRST_ROW) will always succeeed (unless there is a physical error, which invalidated the whole report-data object).

  Specified by:
    `setCursorPosition` in interface `ReportData`
  Returns:
    true, if moving the cursor succeeded, false otherwise.
  Throws:
    `DataSourceException`

### isAdvanceable

    public boolean isAdvanceable()
                          throws DataSourceException

  This operation checks, whether a call to next will be likely to succeed. If there is a next data row, this should return true.

  Specified by:
    `isAdvanceable` in interface `ReportData`
  Returns:
  Throws:
    `DataSourceException`

### next

    public boolean next()
                 throws DataSourceException

  Description copied from interface: `ReportData`
  This method produces the same result as 'setCursorPosition(getCursorPosition() + 1);'

  Specified by:
    `next` in interface `ReportData`
  Returns:
  Throws:
    `DataSourceException`

### close

    public void close()
               throws DataSourceException

  Description copied from interface: `ReportData`
  Closes the datasource. This should be called at the end of each report processing run. Whether this closes the underlying data-source backend depends on the ReportDataFactory. Calling 'close()' on the ReportDataFactory *must* close all report data objects.

  Specified by:
    `close` in interface `ReportData`
  Throws:
    `DataSourceException`

### getColumnCount

    public int getColumnCount()
                       throws DataSourceException

  Specified by:
    `getColumnCount` in interface `DataSet`
  Throws:
    `DataSourceException`

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws DataSourceException

  Specified by:
    `getColumnName` in interface `DataSet`
  Throws:
    `DataSourceException`

### get

    public java.lang.Object get(int column)
                         throws DataSourceException

  Specified by:
    `get` in interface `DataSet`
  Throws:
    `DataSourceException`